<?xml version="1.0" encoding="UTF-8"?>
<odoo>

    <template id="mklab_dms_document.report_dms_document">
        <t t-call="web.basic_layout">
            <t t-foreach="docs" t-as="o">
                <t t-if="o and 'company_id' in o">
                    <t t-set="company" t-value="o.company_id"/>
                </t>
                <t t-if="not o or not 'company_id' in o">
                    <t t-set="company" t-value="res_company"/>
                </t>
                <t t-set="context" t-value="o._context"/>
                <div class="header">
                    <STYLE TYPE="text/css">
                        body {background: #ffffff; margin: 0; font-family: Times new roman; font-size: 10pt; font-style:
                        normal;}
                        tr.R0{height: 15px;}
                        tr.R0 td.R0C0{ font-family: Times new roman; font-size: 10pt; font-style: normal; text-align:
                        left; vertical-align: medium; font-weight: normal;}
                        tr.R0 td.R0C1{ font-family: Times new roman; font-size: 10pt; font-style: normal; text-align:
                        right; vertical-align: medium; font-weight: normal;}
                    </STYLE>
                    <table border="0" cellpadding="0" cellspacing="0" style="width:100%">
                        <tbody>
                            <tr class="R0">

                                <t t-set="render" t-value="o.render_template()"/>
                                <td class="R0C0">
                                    <t t-if='o.print_head'>
                                        <t t-esc="o.text_str"/>
                                    </t>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="page">
                    <span>
                        <t t-raw="o.text_render"/>
                    </span>
                </div>
            </t>
        </t>
    </template>

    <record id="mklab_dms_document.paperformat_a4" model="report.paperformat">
        <field name="name">A4</field>
        <field name="default" eval="True"/>
        <field name="format">A4</field>
        <field name="page_height">0</field>
        <field name="page_width">0</field>
        <field name="orientation">Portrait</field>
        <field name="margin_top">15</field>
        <field name="margin_bottom">20</field>
        <field name="margin_left">7</field>
        <field name="margin_right">7</field>
        <field name="header_line" eval="False"/>
        <field name="header_spacing">10</field>
        <field name="dpi">90</field>
    </record>

    <report id="mklab_dms_document.action_report_dms_document"
            string="Документ"
            model="dms.document"
            report_type="qweb-pdf"
            file="mklab_dms_document.report_dms_document"
            name="mklab_dms_document.report_dms_document"
            print_report_name="'Документ - %s' % (object.name)"
    />
    <record id="mklab_dms_document.action_report_dms_document" model="ir.actions.report">
        <field name="name">DMS Документ</field>
        <field name="model">dms.document</field>
        <field name="report_type">qweb-pdf</field>
        <field name="report_name">mklab_dms_document.report_dms_document</field>
        <field name="paperformat_id" ref="mklab_dms_document.paperformat_a4"/>
    </record>
</odoo>
